%define version 0.2.1
%define release 1mdk

Summary:	Password manager for GNOME 2
Name:		revelation
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
URL:		http://oss.wired-networks.net/revelation/
Source:		ftp://oss.wired-networks.net/%{name}/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

BuildRequires:	python
BuildRequires:	ImageMagick
Requires:	gnome-python
Requires:	libxml2-python
Requires:	pycrypto

%description
Revelation is a password manager for the GNOME 2 desktop, released under
the GNU GPL license. It organizes accounts in a tree structure, and
stores them as AES-encrypted XML files.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root %{buildroot}

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 longtitle="Organize and secure your passwords" \
 needs="x11" \
 section="System/Other" \
 title="Revelation password manager" \
 startup_notify="yes"
_EOF_

# icons
install -m 644 -D pixmaps/revelation.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/revelation.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 -D pixmaps/revelation-16x16.png %{buildroot}%{_miconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_libdir}/python*.*/site-packages/%{name}

%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Tue Mar 02 2004 Abel Cheung <deaddog@deaddog.org> 0.2.1-1mdk
- New version

* Mon Feb 23 2004 Abel Cheung <deaddog@deaddog.org> 0.2.0-1mdk
- New version

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 0.1.2-2mdk
- Fix menu

* Thu Feb 05 2004 Abel Cheung <deaddog@deaddog.org> 0.1.2-1mdk
- New version

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.1.0-1mdk
- First Mandrake package
